Команда "Габариты"

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std SelBoundingBox and the translation is 54% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

Std SelBoundingBox.svg Std SelBoundingBox

Системное название
Std SelBoundingBox
Расположение в меню
Вид → Bounding box
Верстаки
All
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Std DrawStyle

Описание

The Std SelBoundingBox command toggles the global bounding box highlighting mode. If this mode is switched on, selected objects are marked in a 3D view with a highlighted bounding box even if their ВидSelection Style is set to 'Shape'.

Применение

  1. There are several ways to invoke the command:
    • Press the Std SelBoundingBox.svg Std SelBoundingBox button.
    • Select the View → Std SelBoundingBox.svg Bounding box option from the menu.

Настройки

The related setting is stored: Tools → Edit parameters... → BaseApp → Preferences → View → ShowSelectionBoundingBox. It is a boolean value, the default is false.

Scripting

Смотрите так же: Основы составления скриптов в FreeCAD.

To change the ShowSelectionBoundingBox setting use the SetBool method of the appropriate ParameterGrp. The code sample does not work if FreeCAD is in console mode.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
  grp.SetBool('ShowSelectionBoundingBox',False)
else:
  grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()